Skip to main content
GET
/
billing
/
pending-invoice-items
List pending invoice items
curl --request GET \
  --url https://api.interchange.io/api/v2/storefront/billing/pending-invoice-items \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "description": "<string>",
      "currency": "<string>",
      "amount": 0,
      "quantity": 0,
      "unitAmount": 0,
      "date": 0,
      "period": {
        "start": 0,
        "end": 0
      },
      "proration": true,
      "customerId": "<string>"
    }
  ],
  "meta": {
    "count": 0,
    "limit": 0,
    "hasMore": true,
    "cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.interchange.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key or access token

Query Parameters

limit
integer

Maximum number of results (1–100, default 25)

Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination (ID of last item from previous page)

Response

List pending invoice items

Paginated pending invoice items

data
object[]
required
meta
object
required

Cursor-based pagination metadata